# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('departments', '0010_grant_can_view_headcounts'),
        ('budget_position', '0024_auto_20220715_1638'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='personschemeexceptions',
            name='bonus_scheme_id',
        ),
        migrations.RemoveField(
            model_name='personschemeexceptions',
            name='review_scheme_id',
        ),
        migrations.RemoveField(
            model_name='personschemeexceptions',
            name='reward_scheme_id',
        ),
        migrations.AddField(
            model_name='personschemeexceptions',
            name='bonus_scheme',
            field=models.ForeignKey(default=1, to='departments.Bonus'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='personschemeexceptions',
            name='review_scheme',
            field=models.ForeignKey(default=1, to='budget_position.Review'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='personschemeexceptions',
            name='reward_scheme',
            field=models.ForeignKey(default=1, to='budget_position.Reward'),
            preserve_default=False,
        ),
    ]
